ProbabilityAlwaysDownhill Struct Reference

Always Downhill Probability. More...

`#include <ql/experimental/math/hybridsimulatedannealingfunctors.hpp>`

## Public Member Functions

bool | operator() (Real currentValue, Real newValue, const Array &temp) const

## Detailed Description

Always Downhill Probability.

Only points that improve on the current solution are accepted. Depending on the problem, this makes it very unlikely that the optimizer will be able to escape a local optimum.